/**
 *
 * Openutils testing library (JUnit) (http://lab.openmindonline.it/products/testing.html)
 * Framework that helps to simplify unit testing coding with JUnit
 * Copyright (C)2005 - 2009, Openmind S.r.l. http://www.openmindonline.it
 *
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/lgpl-2.1.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package it.openutils.testing.junit;

import it.openutils.testing.DbUnitTestContext;

import org.junit.Before;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.test.context.junit4.AbstractJUnit4SpringContextTests;


/**
 * @author fgiust
 * @version $Id: AbstractDbUnitJunitSpringContextTests.java 1301 2009-08-25 09:41:04Z mmunaretto $
 */
public class AbstractDbUnitJunitSpringContextTests extends AbstractJUnit4SpringContextTests
{

    /**
     * Slf4j logger that can be reused in subclasses.
     */
    protected Logger log = LoggerFactory.getLogger(getClass());

    /**
     * DBUnit text context.
     */
    protected DbUnitTestContext dbUnitTestContext;

    /**
     * Setup the Database before running the test method.
     * @throws Exception Any exception.
     */
    @Before
    public void setUpDbUnit() throws Exception
    {
        dbUnitTestContext = new DbUnitTestContext(this, applicationContext);
        dbUnitTestContext.setUpDbUnit();
    }
}
